summaryrefslogtreecommitdiffstats
path: root/src/include.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/include.sh')
-rw-r--r--src/include.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/src/include.sh b/src/include.sh
index 1da053b..72d14f7 100644
--- a/src/include.sh
+++ b/src/include.sh
@@ -75,8 +75,10 @@ include_changes()
local pkg=
local pool_file=
- parse_control "${changes}" _include_changes_field \
- "${_INCLUDE_CHANGES_FIELDS}" ''
+ if ! parse_control "${changes}" _include_changes_field \
+ "${_INCLUDE_CHANGES_FIELDS}" ''; then
+ error 2 "$(get_msg 'include_invalid_changes')" "${changes}"
+ fi
if [ "x${_include_format}" != 'x1.0' ]; then
error 2 "$(get_msg 'include_unknown_changes_format')" \
"${changes}" "${_include_format}"